linux: 3.2.0-87.125 -proposed tracker

Bug #1466575 reported by Luis Henriques on 2015-06-18
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Po-Hsu Lin
Prepare-package
Medium
Luis Henriques
Prepare-package-lbm
Medium
Luis Henriques
Prepare-package-meta
Medium
Luis Henriques
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Chris J Arges
Promote-to-updates
Medium
Chris J Arges
Regression-testing
Medium
Canonical Platform QA Team
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Precise
Medium
Unassigned

Bug Description

This bug is for tracking the 3.2.0-87.125 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Thursday, 18. June 2015 16:21 UTC
kernel-stable-Prepare-package-end:Friday, 19. June 2015 13:04 UTC
kernel-stable-Promote-to-proposed-start:Friday, 19. June 2015 13:04 UTC
kernel-stable-Promote-to-proposed-end:Monday, 22. June 2015 17:44 UTC
kernel-stable-Verification-testing-start:Monday, 22. June 2015 19:00 UTC
kernel-stable-Certification-testing-start:Monday, 22. June 2015 19:00 UTC
kernel-stable-Security-signoff-start:Monday, 22. June 2015 19:01 UTC
proposed-announcement-sent:True
kernel-stable-Regression-testing-start:Monday, 22. June 2015 19:01 UTC
kernel-stable-Verification-testing-end:Thursday, 25. June 2015 16:00 UTC
kernel-stable-Security-signoff-end:Friday, 03. July 2015 08:00 UTC
kernel-stable-Certification-testing-end:Friday, 03. July 2015 09:00 UTC
kernel-stable-Promote-to-updates-start:Friday, 03. July 2015 15:00 UTC
kernel-stable-Regression-testing-end:Friday, 03. July 2015 15:00 UTC
kernel-stable-Promote-to-updates-end:Monday, 06. July 2015 17:58 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 06. July 2015 19:02 UTC

CVE References

Luis Henriques (henrix) on 2015-06-18
tags: added: kernel-release-tracking-bug
tags: added: block-proposed-precise
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Precise):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1466855
linux-armadaxp - bug 1466856

description: updated
Chris J Arges (arges) wrote :

Promoted to proposed:
 linux | 3.2.0-87.125 | precise-proposed | source
 linux-meta | 3.2.0.87.101 | precise-proposed | source
 linux-backports-modules-3.2.0 | 3.2.0-87.79 | precise-proposed | source

Brad Figg (brad-figg) on 2015-06-22
description: updated
Brad Figg (brad-figg) on 2015-06-22
description: updated
Brad Figg (brad-figg) on 2015-06-25
description: updated
Po-Hsu Lin (cypressyew) wrote :

Hardware Certification have begun testing this -proposed kernel.

John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2015-07-03
description: updated
Po-Hsu Lin (cypressyew) wrote :

Just for the record, we encountered a "unable to handle kernel paging request" issue once on 201011-6701
System hang, not responding to the magic key. No log for this in dmesg / syslog available after reboot.

However, this issue cannot be reproduced after re-testing it for 3 times.

Po-Hsu Lin (cypressyew) wrote :

Hardware Certification have completed testing this -proposed kernel. No regressions were observed and results are available here: http://people.canonical.com/~hwcert/sru-testing/precise/3.2.0-87.125/precise-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2015-07-03
description: updated
Brad Figg (brad-figg) on 2015-07-03
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2015-07-03
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.2.0-87.125

---------------
linux (3.2.0-87.125) precise; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1466575

  [ Upstream Kernel Changes ]

  * Revert "debugfs: leave freeing a symlink body until inode eviction"
    - LP: #1465322
  * vfs: read file_handle only once in handle_to_path
    - LP: #1416503
    - CVE-2015-1420

 -- Luis Henriques <email address hidden> Thu, 18 Jun 2015 17:20:20 +0100

Changed in linux (Ubuntu Precise):
status: New → Fix Released
Brad Figg (brad-figg) on 2015-07-06
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments